Field Hide

This POST endpoint allows specific fields belong to a stream to be hidden/un-hidden. A hidden field is not visible from the Application Data > Streams Web UI.

CAVEAT'S

  • This does not delete the data, only hides the field in the UI.

  • If queries (LQL) stil map this field into profiles, it will still be added

# Hide the 'first-name' field from the 'default' stream
curl -XPUT 'https://api.lytics.io/api/schema/_streams/default' \
    -H 'Content-type: application/json'
    -H 'Authorization: $LIOKEY' \
    -d '{
        "name": "first_name",
        "hidden": true
    }' | jq '.'
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Name of the stream containing the field to delete

string
required

Name of the field to delete

boolean
required

hide field from Web UI

Query Params
string

Your Lytics account ID.

Response
204

No Content

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!